/***************************************************************************
 *   Copyright (C) 2004 by Johnathan Burchill                              *
 *   jkerrb@users.sourceforge.net                                          *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 ***************************************************************************/
#ifndef _KDARCHECKFILESIZEEVENT_H_
#define _KDARCHECKFILESIZEEVENT_H_
 
#include <qevent.h>
#include <qstring.h>


    class kdarCheckFileSizeEvent : public QCustomEvent
    {
    public:
		enum action
		{
			STARTTIMER,
			STOPTIMER
		};
        
	  kdarCheckFileSizeEvent( action checkFileSizeAction )
            : QCustomEvent( 1007 ),
	  m_checkFileSizeAction( checkFileSizeAction )
	  {
	  }

	action checkFileSizeAction() const { return m_checkFileSizeAction; }
    private:
        action m_checkFileSizeAction;
    };

 
 #endif // _KDARCHECKFILESIZEEVENT_H_
