/***************************************************************************
 *   Copyright (C) 2004 by Johnathan Burchill                              *
 *   jkerrb@users.sourceforge.net                                          *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 ***************************************************************************/

#ifndef _KDARARCHIVEFILE_H_
#define _KDARARCHIVEFILE_H_

#include <kfileitem.h>
#include <kurl.h>

#include <qstring.h>

class KDarArchiveFile : public KFileItem
{

public:
	KDarArchiveFile( const KURL & url ); 
	virtual ~KDarArchiveFile();

	int latestSliceOnDiskNumber();
	QString latestSliceOnDiskName();
	bool isFileASlice();

private:

};

#endif // _KDARARCHIVEFILE_H_
